X
點擊此處開啟此網站的行動版。

技術支援討論區

此討論串已經關閉並封存。 如果您有需要幫助,請新增一個新問題

trusteer rapport icon lost in firefox 41

已張貼

Firefox automatically upgraded itself to version 41 and now the Trusteer Rapport Endpoint Protection icon is no longer shown to the right of the address bar. It is still there and working in Internet Explorer. The same situation is happening on 2 PCs, both Windows 7 64 bit.

Surely Trusteer Rapport is a widely used feature - one would have thought a new release of Firefox would have been tested to work with it.

Firefox automatically upgraded itself to version 41 and now the Trusteer Rapport Endpoint Protection icon is no longer shown to the right of the address bar. It is still there and working in Internet Explorer. The same situation is happening on 2 PCs, both Windows 7 64 bit. Surely Trusteer Rapport is a widely used feature - one would have thought a new release of Firefox would have been tested to work with it.

被選擇的解決方法

It is use to the developer of an extension to ensure that the extension keeps working in a next Firefox version. There are beta and special developer builds available for testing, so there should be plenty of time.

You will have to contact Trusteer for support and check if there is already an update.

Make sure that you have the latest updates of your Trusteer software. You can try to contact Trusteer for support.

從原來的回覆中察看解決方案 3

額外的系統細節

已安裝的外掛程式

  • Adobe PDF Plug-In For Firefox and Netscape 11.0.12
  • GEPlugin
  • Google Update
  • Intel web components for Intel® Identity Protection Technology
  • Intel web components updater - Installs and updates the Intel web components
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 11.45.2 for Mozilla browsers
  • NVIDIA 3D Vision Streaming plugin for Mozilla browsers
  • NVIDIA 3D Vision plugin for Mozilla browsers
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 19.0 r0
  • 5.1.40728.0

應用程式

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:41.0) Gecko/20100101 Firefox/41.0

更多資訊

jscher2000
  • Top 10 Contributor
8789 個解決方法 71880 個答案

Rapport also is updated very frequently, so it's worth checking that you have the latest version before doing too much more troubleshooting.

Can you check the Add-ons page to see whether Rapport is disabled? Either:

  • Ctrl+Shift+a
  • "3-bar" menu button (or Tools menu) > Add-ons

In the left column, click Extensions. Then find Rapport on the right side. If it's disabled, it will be at the bottom on a grayed background. Can you confirm it is enabled?

If your Firefox is blocking Rapport because the extension is not verified/not signed, , please check the following setting:

(1) In a new tab, type or paste about:config in the address bar and press Enter/Return. Click the button promising to be careful.

(2) In the search box above the list, type or paste xpi and pause while the list is filtered

(3) If the xpinstall.signatures.required preference is bolded and "user set" to true, double-click it to switch it to false

If that is already set to false, then there must be some other problem with the add-on that is causing it not to work. Hmm... we'll probably get a lot more reports...

Rapport also is updated very frequently, so it's worth checking that you have the latest version before doing too much more troubleshooting. Can you check the Add-ons page to see whether Rapport is disabled? Either: * Ctrl+Shift+a * "3-bar" menu button (or Tools menu) > Add-ons In the left column, click Extensions. Then find Rapport on the right side. If it's disabled, it will be at the bottom on a grayed background. Can you confirm it is enabled? If your Firefox is blocking Rapport because the extension is not verified/not signed, , please check the following setting: (1) In a new tab, type or paste '''about:config''' in the address bar and press Enter/Return. Click the button promising to be careful. (2) In the search box above the list, type or paste '''xpi''' and pause while the list is filtered (3) If the '''xpinstall.signatures.required''' preference is bolded and "user set" to true, double-click it to switch it to false If that is already set to false, then there must be some other problem with the add-on that is causing it not to work. Hmm... we'll probably get a lot more reports...
cor-el
  • Top 10 Contributor
  • Moderator
17571 個解決方法 158915 個答案

選擇的解決方法

It is use to the developer of an extension to ensure that the extension keeps working in a next Firefox version. There are beta and special developer builds available for testing, so there should be plenty of time.

You will have to contact Trusteer for support and check if there is already an update.

Make sure that you have the latest updates of your Trusteer software. You can try to contact Trusteer for support.

It is use to the developer of an extension to ensure that the extension keeps working in a next Firefox version. There are beta and special developer builds available for testing, so there should be plenty of time. You will have to contact Trusteer for support and check if there is already an update. Make sure that you have the latest updates of your Trusteer software. You can try to contact Trusteer for support. *http://www.trusteer.com/support/rapport-installation-links *http://www.trusteer.com/support/report-problem *http://www.trusteer.com/support/submit-ticket

有幫助的回覆

jscher2000 said

Rapport also is updated very frequently, so it's worth checking that you have the latest version before doing too much more troubleshooting. Can you check the Add-ons page to see whether Rapport is disabled? Either:
  • Ctrl+Shift+a
  • "3-bar" menu button (or Tools menu) > Add-ons
In the left column, click Extensions. Then find Rapport on the right side. If it's disabled, it will be at the bottom on a grayed background. Can you confirm it is enabled? If your Firefox is blocking Rapport because the extension is not verified/not signed, , please check the following setting: (1) In a new tab, type or paste about:config in the address bar and press Enter/Return. Click the button promising to be careful. (2) In the search box above the list, type or paste xpi and pause while the list is filtered (3) If the xpinstall.signatures.required preference is bolded and "user set" to true, double-click it to switch it to false If that is already set to false, then there must be some other problem with the add-on that is causing it not to work. Hmm... we'll probably get a lot more reports...

Rapport does not appear as an Extension, or anywhere else in Add-ons

''jscher2000 [[#answer-784997|said]]'' <blockquote> Rapport also is updated very frequently, so it's worth checking that you have the latest version before doing too much more troubleshooting. Can you check the Add-ons page to see whether Rapport is disabled? Either: * Ctrl+Shift+a * "3-bar" menu button (or Tools menu) > Add-ons In the left column, click Extensions. Then find Rapport on the right side. If it's disabled, it will be at the bottom on a grayed background. Can you confirm it is enabled? If your Firefox is blocking Rapport because the extension is not verified/not signed, , please check the following setting: (1) In a new tab, type or paste '''about:config''' in the address bar and press Enter/Return. Click the button promising to be careful. (2) In the search box above the list, type or paste '''xpi''' and pause while the list is filtered (3) If the '''xpinstall.signatures.required''' preference is bolded and "user set" to true, double-click it to switch it to false If that is already set to false, then there must be some other problem with the add-on that is causing it not to work. Hmm... we'll probably get a lot more reports... </blockquote> Rapport does not appear as an Extension, or anywhere else in Add-ons

提出問題者

cor-el said

It is use to the developer of an extension to ensure that the extension keeps working in a next Firefox version. There are beta and special developer builds available for testing, so there should be plenty of time. You will have to contact Trusteer for support and check if there is already an update. Make sure that you have the latest updates of your Trusteer software. You can try to contact Trusteer for support.

Re-installing Rapport (using the first link) has solved the problem. Thank you.

''cor-el [[#answer-784998|said]]'' <blockquote> It is use to the developer of an extension to ensure that the extension keeps working in a next Firefox version. There are beta and special developer builds available for testing, so there should be plenty of time. You will have to contact Trusteer for support and check if there is already an update. Make sure that you have the latest updates of your Trusteer software. You can try to contact Trusteer for support. *http://www.trusteer.com/support/rapport-installation-links *http://www.trusteer.com/support/report-problem *http://www.trusteer.com/support/submit-ticket </blockquote> Re-installing Rapport (using the first link) has solved the problem. Thank you.
squarewindow 1 個解決方法 9 個答案

I have had this problem also, after Firefox updated itself to version 41. I contacted Trusteer via support ticket two days ago and am waiting for a reply. In the meantime, their automated system sent me notification of an updated Rapport, which I downloaded....here is a clip from their message...

"If you have encountered any problems when using Rapport following an update to a supported browser, please download the latest version here: Windows - http://download.trusteer.com/Gcur4Wtnu/RapportSetup.exe Mac - http://download.trusteer.com/Gcur4Wtnu/leopard/Rapport.dmg

Please be sure to restart your computer after installing the new version and let us know if the issue has been resolved. "

Now....problem solved?? Unfortunately not for me. The installation of the update will not proceed any further than the licence acceptance page. So I don't know whether the problem is general or whether it's just my computer. I have now emailed Trusteer again with this finding and again am waiting for a response.

I have had this problem also, after Firefox updated itself to version 41. I contacted Trusteer via support ticket two days ago and am waiting for a reply. In the meantime, their automated system sent me notification of an updated Rapport, which I downloaded....here is a clip from their message... "If you have encountered any problems when using Rapport following an update to a supported browser, please download the latest version here: Windows - http://download.trusteer.com/Gcur4Wtnu/RapportSetup.exe Mac - http://download.trusteer.com/Gcur4Wtnu/leopard/Rapport.dmg Please be sure to restart your computer after installing the new version and let us know if the issue has been resolved. " Now....problem solved?? Unfortunately not for me. The installation of the update will not proceed any further than the licence acceptance page. So I don't know whether the problem is general or whether it's just my computer. I have now emailed Trusteer again with this finding and again am waiting for a response.
foxyjm 0 個解決方法 8 個答案

Two W7 PCs with Kaspersky, everything updated, everything works except Rapport has not worked since FF41. I have contacted IBM support many times, they suggest various fixes none of which work. Also the fixes in thread above, nothing works, Rapport does not appear in browser or add-ons. But here's the rub: Rapport works perfectly on both machines if we close FF and open Internet Explorer. Any ideas please? Or must I use IE to use the security software recommended by both of my banks?

Two W7 PCs with Kaspersky, everything updated, everything works except Rapport has not worked since FF41. I have contacted IBM support many times, they suggest various fixes none of which work. Also the fixes in thread above, nothing works, Rapport does not appear in browser or add-ons. But here's the rub: Rapport works perfectly on both machines if we close FF and open Internet Explorer. Any ideas please? Or must I use IE to use the security software recommended by both of my banks?
DODGERN 0 個解決方法 12 個答案

Trusteer does not support Firefox 44, 64 BIT only 32 BIT. They will not support BETA versions but I thought 44 64 BIT was no longer a BETA version? Perhaps there is a credentials reason for them not supporting the 64 BIT version?

Trusteer does not support Firefox 44, 64 BIT only 32 BIT. They will not support BETA versions but I thought 44 64 BIT was no longer a BETA version? Perhaps there is a credentials reason for them not supporting the 64 BIT version?
KOKelly 1 個解決方法 5 個答案

None of what I can understand of the above helps me at all. I have tried the obvious fixes. Someone is not compatible or is blocking someone else. Why don't you either fix it or admit your failing. What a silly question. Marketing people giving an honest useful answer?

None of what I can understand of the above helps me at all. I have tried the obvious fixes. Someone is not compatible or is blocking someone else. Why don't you either fix it or admit your failing. What a silly question. Marketing people giving an honest useful answer?
DODGERN 0 個解決方法 12 個答案
http://www.trusteer.com/support/faq
jscher2000
  • Top 10 Contributor
8789 個解決方法 71880 個答案

Hi KOKelly, who are the marketing people? Questions are mostly answered by other Firefox users volunteering in their spare time.

There often are incompatibilities between older versions of Trusteer Rapport and a new version of Firefox, or vice versa. Could you get specific about exactly what versions you have?

Hi DODGERN, there is now a regular (non-beta) 64-bit build of Firefox. However, if Rapport needs a plugin, that could be the problem: 64-bit Firefox is very restrictive about what plugins are allowed to run. Initially, only Flash was allowed. If Rapport doesn't need a plugin, then it could be a question of how they want to allocate their engineering resources.

Hi KOKelly, who are the marketing people? Questions are mostly answered by other Firefox users volunteering in their spare time. There often are incompatibilities between older versions of Trusteer Rapport and a new version of Firefox, or vice versa. Could you get specific about exactly what versions you have? Hi DODGERN, there is now a regular (non-beta) 64-bit build of Firefox. However, if Rapport needs a plugin, that could be the problem: 64-bit Firefox is very restrictive about what plugins are allowed to run. Initially, only Flash was allowed. If Rapport doesn't need a plugin, then it could be a question of how they want to allocate their engineering resources.
foxyjm 0 個解決方法 8 個答案

Downloaded the latest Rapport Build 1507.105 as Dodgern suggested yesterday, and installed FF44 or rather it installed itself. Restarted FF. Rapport says it is running OK but it does not appear when my bank website is opened. As I said before ^^^ Rapport works fine on Internet Explorer ...

Downloaded the latest Rapport Build 1507.105 as Dodgern suggested yesterday, and installed FF44 or rather it installed itself. Restarted FF. Rapport says it is running OK but it does not appear when my bank website is opened. As I said before ^^^ Rapport works fine on Internet Explorer ...
jscher2000
  • Top 10 Contributor
8789 個解決方法 71880 個答案

Hi foxyjm, could you check on whether Rapport uses an extension that is disabled on the Add-ons page? Either:

  • Ctrl+Shift+a (Mac: Command+Shift+a)
  • "3-bar" menu button (or Tools menu) > Add-ons

In the left column, click Extensions. Then scroll down on the right side; disabled extension are at the bottom of the list. Is there any indication of Rapport being disabled or any reason given?

If it uses a plugin, that's on the Plugins section of the Add-ons page, selectable from the left column. Make sure the status is set to "Always Activate" since it integrates into the user interface.

Hi foxyjm, could you check on whether Rapport uses an extension that is disabled on the Add-ons page? Either: * Ctrl+Shift+a (Mac: Command+Shift+a) * "3-bar" menu button (or Tools menu) > Add-ons In the left column, click Extensions. Then scroll down on the right side; disabled extension are at the bottom of the list. Is there any indication of Rapport being disabled or any reason given? If it uses a plugin, that's on the Plugins section of the Add-ons page, selectable from the left column. Make sure the status is set to "Always Activate" since it integrates into the user interface.
jscher2000
  • Top 10 Contributor
8789 個解決方法 71880 個答案

Not sure if this is the correct page for the version anyone posting in this thread is using, but it only mentions support for Firefox 41-43, not Firefox 44:

https://trusteer.secure.force.com/PKB/articles/en_US/FAQ/supported-platforms/

Since this is security software, I'm not going to suggest any hacking to make it work in Firefox 44...

Not sure if this is the correct page for the version anyone posting in this thread is using, but it only mentions support for Firefox 41-43, not Firefox 44: https://trusteer.secure.force.com/PKB/articles/en_US/FAQ/supported-platforms/ Since this is security software, I'm not going to suggest any hacking to make it work in Firefox 44...
foxyjm 0 個解決方法 8 個答案

No. Rapport does not appear in either interface and I don't remember seeing it even when it worked up to FF41.

No. Rapport does not appear in either interface and I don't remember seeing it even when it worked up to FF41.
jscher2000
  • Top 10 Contributor
8789 個解決方法 71880 個答案

foxyjm said

No. Rapport does not appear in either interface and I don't remember seeing it even when it worked up to FF41.

Hmm, how does it get on the toolbar? Hopefully someone else has a suggestion on this one.

''foxyjm [[#answer-837880|said]]'' <blockquote> No. Rapport does not appear in either interface and I don't remember seeing it even when it worked up to FF41. </blockquote> Hmm, how does it get on the toolbar? Hopefully someone else has a suggestion on this one.
DODGERN 0 個解決方法 12 個答案

有幫助的回覆

Yes you are correct foxyjm. I can confirm that it works with Microsoft Edge and Google Chrome. Trusteer's website says that it does not support Firefox 44 64 bit version, only 32 bit version. I have messaged Trusteer to find out why this is. Once I receive a reply, I will post their answer. It is annoying having to use another browser when using Internet Banking, as Trustee obviously doesn't consider Firefox 44 64 bit version secure.

Yes you are correct foxyjm. I can confirm that it works with Microsoft Edge and Google Chrome. Trusteer's website says that it does not support Firefox 44 64 bit version, only 32 bit version. I have messaged Trusteer to find out why this is. Once I receive a reply, I will post their answer. It is annoying having to use another browser when using Internet Banking, as Trustee obviously doesn't consider Firefox 44 64 bit version secure.
KOKelly 1 個解決方法 5 個答案

Apologies to jscher2000. I was venting my frustrations with this issue. The marketeers are at IBM, I think. I sent them a message and was redirected to their FAQ page? My main complaint is with the suggestion that turning Rapport off and on etc. will solve the problem. I completely uninstalled and reinstalled the whole thing - which worked the last time this happened, but not this. I don't even know what non-beta means. Or beta. Keep up the good work.

Apologies to jscher2000. I was venting my frustrations with this issue. The marketeers are at IBM, I think. I sent them a message and was redirected to their FAQ page? My main complaint is with the suggestion that turning Rapport off and on etc. will solve the problem. I completely uninstalled and reinstalled the whole thing - which worked the last time this happened, but not this. I don't even know what non-beta means. Or beta. Keep up the good work.
DODGERN 0 個解決方法 12 個答案

It is certainly annoying KOKelly. The BETA version is Mozilla's development version which Firefox uses to iron out the creases in its operation. When they are satisfied it is operating O.K., it becomes a STABLE version. The 64 bit version 44.0 is supposed to be STABLE. Trusteer Rapport does not support BETA browser versions which is understandable, however 44.0 is STABLE. You can check your operating version by clicking on the MENU at the top right hand corner of the screen. Next click on the ? and your Firefox version will be displayed. Here are the current versions that are supported by Trusteer, my 64 bit version (44) is not even listed!

It is certainly annoying KOKelly. The BETA version is Mozilla's development version which Firefox uses to iron out the creases in its operation. When they are satisfied it is operating O.K., it becomes a STABLE version. The 64 bit version 44.0 is supposed to be STABLE. Trusteer Rapport does not support BETA browser versions which is understandable, however 44.0 is STABLE. You can check your operating version by clicking on the '''MENU''' at the top right hand corner of the screen. Next click on the '''?''' and your Firefox version will be displayed. Here are the current versions that are supported by Trusteer, my 64 bit version (44) is not even listed!
DODGERN 0 個解決方法 12 個答案

I should have added after clicking on the ?, click on about Firefox.

I should have added after clicking on the''' ?''', click on '''about Firefox'''.
foxyjm 0 個解決方法 8 個答案

Good luck with getting a reply from Trusteer, dodgern. I have mailed them several times with info such as version nos. etc and they come back asking for the info I had just sent them :(

Another point is that Rapport auto update does not work, for me anyway, and one must download the current version to discover its version number as it is not stated on Trusteer's website. My Rapport control console has twice told me that my Rapport is current but when I went to Trusteer's site I found it wasn't. Current version is Emerald Build 1507.105

I have sent copies of my requests to both my banks and told them that if they want customers to use Rapport they should tell IBM to get this sorted. Meantime I am relying on my own (paid-for) AV package and common sense with regard to passwords, bogus sites etc

Thanks for your help, good people!

Good luck with getting a reply from Trusteer, dodgern. I have mailed them several times with info such as version nos. etc and they come back asking for the info I had just sent them :( Another point is that Rapport auto update does not work, for me anyway, and one must download the current version to discover its version number as it is not stated on Trusteer's website. My Rapport control console has twice told me that my Rapport is current but when I went to Trusteer's site I found it wasn't. Current version is Emerald Build 1507.105 I have sent copies of my requests to both my banks and told them that if they want customers to use Rapport they should tell IBM to get this sorted. Meantime I am relying on my own (paid-for) AV package and common sense with regard to passwords, bogus sites etc Thanks for your help, good people!